# GaussianShell

class `psi4.core.``GaussianShell`

  Bases: `pybind11_builtins.pybind11_object`

  Class containing information about basis functions

  Attributes Summary

  `AMCHAR` | The upper-case character symbol for the angular momentum of the given contraction
  `am` | The angular momentum of the given contraction
  `amchar` | The character symbol for the angular momentum of the given contraction
  `function_index` | Basis function index where this shell starts.
  `ncartesian` | Total number of basis functions if this shell was Cartesian
  `ncenter` | Returns atom number this shell is on
  `nfunction` | Total number of basis functions
  `nprimitive` | The number of primitive gaussians

  Methods Summary

  `coef`(self, pi) | Return coefficient of the pi’th primitive
  `erd_coef`(self, pi) | Return ERD normalized coefficient of pi’th primitive
  `exp`(self, prim) | Returns the exponent of the given primitive
  `is_cartesian`(self) | Returns true if the contraction is Cartesian
  `is_pure`(self) | Returns true if the contraction is pure, i.e.
  `original_coef`(self, pi) | Return unnormalized coefficient of the pi’th primitive

  Attributes Documentation

  `AMCHAR`

    The upper-case character symbol for the angular momentum of the given contraction

  `am`

    The angular momentum of the given contraction

  `amchar`

    The character symbol for the angular momentum of the given contraction

  `function_index`

    Basis function index where this shell starts.

  `ncartesian`

    Total number of basis functions if this shell was Cartesian

  `ncenter`

    Returns atom number this shell is on

  `nfunction`

    Total number of basis functions

  `nprimitive`

    The number of primitive gaussians

  Methods Documentation

  `coef`(self: psi4.core.GaussianShell, pi: int) → float

    Return coefficient of the pi’th primitive

  `erd_coef`(self: psi4.core.GaussianShell, pi: int) → float

    Return ERD normalized coefficient of pi’th primitive

  `exp`(self: psi4.core.GaussianShell, prim: int) → float

    Returns the exponent of the given primitive

  `is_cartesian`(self: psi4.core.GaussianShell) → bool

    Returns true if the contraction is Cartesian

  `is_pure`(self: psi4.core.GaussianShell) → bool

    Returns true if the contraction is pure, i.e. a spherical harmonic basis function

  `original_coef`(self: psi4.core.GaussianShell, pi: int) → float

    Return unnormalized coefficient of the pi’th primitive

  `AMCHAR`

    The upper-case character symbol for the angular momentum of the given contraction

  `am`

    The angular momentum of the given contraction

  `amchar`

    The character symbol for the angular momentum of the given contraction

  `coef`(self: psi4.core.GaussianShell, pi: int) → float

    Return coefficient of the pi’th primitive

  `erd_coef`(self: psi4.core.GaussianShell, pi: int) → float

    Return ERD normalized coefficient of pi’th primitive

  `exp`(self: psi4.core.GaussianShell, prim: int) → float

    Returns the exponent of the given primitive

  `function_index`

    Basis function index where this shell starts.

  `is_cartesian`(self: psi4.core.GaussianShell) → bool

    Returns true if the contraction is Cartesian

  `is_pure`(self: psi4.core.GaussianShell) → bool

    Returns true if the contraction is pure, i.e. a spherical harmonic basis function

  `ncartesian`

    Total number of basis functions if this shell was Cartesian

  `ncenter`

    Returns atom number this shell is on

  `nfunction`

    Total number of basis functions

  `nprimitive`

    The number of primitive gaussians

  `original_coef`(self: psi4.core.GaussianShell, pi: int) → float

    Return unnormalized coefficient of the pi’th primitive